Skein.DigestSkein1024 (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.jcajce.provider.digest

## Class Skein.DigestSkein1024

- java.lang.Object
- - java.security.MessageDigestSpi
  - - java.security.MessageDigest
    - - org.bouncycastle.jcajce.provider.digest.BCMessageDigest
      - - org.bouncycastle.jcajce.provider.digest.Skein.DigestSkein1024

- All Implemented Interfaces:
    java.lang.Cloneable
  Direct Known Subclasses:
    Skein.Digest_1024_1024, Skein.Digest_1024_384, Skein.Digest_1024_512
  Enclosing class:
    Skein

      public static class Skein.DigestSkein1024
      extends BCMessageDigest
      implements java.lang.Cloneable

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.jcajce.provider.digest.BCMessageDigest

      `digest`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Skein.DigestSkein1024(int outputSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`

    - ### Methods inherited from class org.bouncycastle.jcajce.provider.digest.BCMessageDigest

      `engineDigest, engineReset, engineUpdate, engineUpdate`

    - ### Methods inherited from class java.security.MessageDigest

      `digest, digest, digest, getAlgorithm, getDigestLength, getInstance, getInstance, getInstance, getProvider, isEqual, reset, toString, update, update, update, update`

    - ### Methods inherited from class java.security.MessageDigestSpi

      `engineDigest, engineGetDigestLength, engineUpdate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Skein.DigestSkein1024

          public Skein.DigestSkein1024(int outputSize)

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.security.MessageDigest`
      Throws:
        `java.lang.CloneNotSupportedException`